Package org.eclipse.e4.ui.css.swt.dom

# Class SWTElementProvider

java.lang.Object
org.eclipse.e4.ui.css.swt.dom.SWTElementProvider

All Implemented Interfaces:
  `IElementProvider`

Direct Known Subclasses:
  `SWTHTMLElementProvider`

public class SWTElementProvider extends Object implements IElementProvider
Returns the CSS class which is responsible for styling a SWT widget Registered via the "org.eclipse.e4.ui.css.core.elementProvider" extension point for the SWT widgets `IElementProvider` SWT implementation to retrieve w3c Element `Element` linked to SWT widget.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IElementProvider`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`SWTElementProvider()`

## Method Summary

Modifier and Type
Method
Description
`Element`
`getElement(Object element, CSSEngine engine)`
Return the w3c `Element` which wrap the native widget `element` (SWT Control, Swing JComponent).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final IElementProvider INSTANCE

## Constructor Details

### SWTElementProvider

public SWTElementProvider()

## Method Details

### getElement

public Element getElement(Object element, CSSEngine engine)
Description copied from interface: `IElementProvider`
Return the w3c `Element` which wrap the native widget `element` (SWT Control, Swing JComponent). The `element` can be the w3c Element. The provider should check that the supplied widgets/objects are compatible with the provided CSS Engine.

Specified by:
  `getElement` in interface `IElementProvider`